Financeiro

(GET) /cycle

    API Endpoint

        https://api.omnik.io/v1/financial/cycle
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/v1/financial/cycle' \
--header 'token: {token}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "id": "string",
  "tenant": "string",
  "operator": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "typeOfCycle": "string",
  "financialCycleStatus": "string",
  "paymentStatus": "string",
  "operatorName": "string",
  "sellerTenant": "string",
  "transferDate": "string",
  "beginningOfCycle": "SALE",
  "endOfCycle": "PEND",
  "statements": "string",
  "type": "string",
  "value": 0,
  "statementId": "string",
  "applicationId": "string",
  "releaseDate": "string",
  "paymentError": "string",
  "marketplaceId": 0,
  "orderId": 0,
  "status": "string",
  "typedLabel": {
    "id": "string",
    "typeId": "string",
    "typeLabel": "string",
    "typeDescription": "string"
  }
}
                
            
                
Result example 4xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            
                
Result example 5xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            

Consulta de Lançamentos Manuais

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint

(POST) /cycle/waiting-payment

    API Endpoint

        https://api.omnik.io/v1/financial/cycle/waiting-payment
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/v1/financial/cycle/waiting-payment' \
--header 'token: {token}' \
--header 'Content-Type: application/json' \
--data '{
    "tenants": [
        ""
    ],
    "ids": [
        ""
    ]
}'
                
            
                
Result example 2xx:

{
  "id": "string",
  "tenant": "string",
  "operator": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "orderId": "string",
  "marketplaceId": "string",
  "sellerName": "string",
  "operatorName": "string",
  "siteId": "string",
  "calculationId": "string",
  "type": "SALE",
  "status": "PEND",
  "description": "string",
  "releaseDate": "string",
  "value": 0,
  "origin": "string",
  "applicationId": "string",
  "userId": "string",
  "paymentError": "string",
  "installmentNumber": 0,
  "totalOfInstallments": 0,
  "installmentAvailableDate": "string",
  "isMultiInstallments": true,
  "typedLabel": {
    "id": "string",
    "typeId": "string",
    "typeLabel": "string",
    "typeDescription": "string"
  }
}
                
            
                
Result example 4xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            
                
Result example 5xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            

Cadastro de Lançamentos Manuais

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint

Body Parameters

Campo Tipo Descrição
tenants string array (required) ID dos Sellers
ids string array (required) ID do tipo de Lançamento

(PUT) /cycle/pay

    API Endpoint

        https://api.omnik.io/v1/financial/cycle/pay
            
                
# Here is a curl example
curl --location --request PUT 'https://api.omnik.io/v1/financial/cycle/pay' \
--header 'token: {token}' \
--header 'Content-Type: application/json' \
--data '{
    "financialCycleId": "string",
    "antecipedValue": 0,
    "orders": [
        {
            "seller": "",
            "marketplaceId": "",
            "value": null,
            "anteciped": false,
            "registersIds": [
                ""
            ]
        }
    ]
}'
                
            
                
Result example 2xx:

{
  "id": "string",
  "tenant": "string",
  "operator": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "orderId": "string",
  "marketplaceId": "string",
  "sellerName": "string",
  "operatorName": "string",
  "siteId": "string",
  "calculationId": "string",
  "type": "SALE",
  "status": "PEND",
  "description": "string",
  "releaseDate": "string",
  "value": 0,
  "origin": "string",
  "applicationId": "string",
  "userId": "string",
  "paymentError": "string",
  "installmentNumber": 0,
  "totalOfInstallments": 0,
  "installmentAvailableDate": "string",
  "isMultiInstallments": true,
  "typedLabel": {
    "id": "string",
    "typeId": "string",
    "typeLabel": "string",
    "typeDescription": "string"
  }
}
                
            
                
Result example 4xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            
                
Result example 5xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            

Alteração de Lançamentos Manuais

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint

Body Parameters

Campo Tipo Descrição
financialCycleId string (required) ID do ciclo
antecipedValue number (required) Deixar sempre = 0
orders array
Campo Tipo Descrição
seller string (optional)
marketplaceId string (optional)
value integer (optional)
anteciped boolean (optional) default false
registersIds string array (optional)

(PUT) /cycle/orders/block

    API Endpoint

        https://api.omnik.io/v1/financial/cycle/orders/block
            
                
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/v1/financial/cycle/orders/block' \
--header 'token: {token}' \
--data '{
  "marketplaceId": "string",
  "tenant": "string",
  "financialCycleId": "0",
  "registersIds": [
    ""
  ]
}'
                
            
                
Result example 2xx:

{
  "id": "string",
  "tenant": "string",
  "operator": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "orderId": "string",
  "marketplaceId": "string",
  "sellerName": "string",
  "operatorName": "string",
  "siteId": "string",
  "calculationId": "string",
  "type": "SALE",
  "status": "PEND",
  "description": "string",
  "releaseDate": "string",
  "value": 0,
  "origin": "string",
  "applicationId": "string",
  "userId": "string",
  "paymentError": "string",
  "installmentNumber": 0,
  "totalOfInstallments": 0,
  "installmentAvailableDate": "string",
  "isMultiInstallments": true,
  "typedLabel": {
    "id": "string",
    "typeId": "string",
    "typeLabel": "string",
    "typeDescription": "string"
  }
}
                
            
                
Result example 4xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            
                
Result example 5xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            

Alteração de Lançamentos Manuais

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint

Body Parameters

Campo Tipo Descrição
marketplaceId string (required) ID do pedido
tenant string (required) ID do seller
financialCycleId string (required) ID do ciclo
registersIds string array (optional)

(PUT) /cycle/orders/unblock

    API Endpoint

        https://api.omnik.io/v1/financial/cycle/orders/unblock
            
                
# Here is a curl example
curl --location --request \
PUT 'https://api.omnik.io/v1/financial/cycle/orders/unblock' \
--header 'token: {token}' \
--data '{
  "marketplaceId": "string",
  "tenant": "string",
  "financialCycleId": "0",
  "registersIds": [
    ""
  ]
}'
                
            
                
Result example 2xx:

{
  "id": "string",
  "tenant": "string",
  "operator": "string",
  "createDate": "string",
  "lastUpdate": "string",
  "orderId": "string",
  "marketplaceId": "string",
  "sellerName": "string",
  "operatorName": "string",
  "siteId": "string",
  "calculationId": "string",
  "type": "SALE",
  "status": "PEND",
  "description": "string",
  "releaseDate": "string",
  "value": 0,
  "origin": "string",
  "applicationId": "string",
  "userId": "string",
  "paymentError": "string",
  "installmentNumber": 0,
  "totalOfInstallments": 0,
  "installmentAvailableDate": "string",
  "isMultiInstallments": true,
  "typedLabel": {
    "id": "string",
    "typeId": "string",
    "typeLabel": "string",
    "typeDescription": "string"
  }
}
                
            
                
Result example 4xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            
                
Result example 5xx:

{
  "statusCode": "0",
  "logId": "string",
  "name": "string",
  "message": "string",
  "fields": {
    "additionalProp1": {
      "message": "string"
    }
  }
}
                
            

Alteração de Lançamentos Manuais

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint

Body Parameters

Campo Tipo Descrição
marketplaceId string (required) ID do pedido
tenant string (required) ID do seller
financialCycleId string (required) ID do ciclo
registersIds string array (optional)

(GET) /register/order-financial-detail/{marketplaceId}

    API Endpoint

        https://api.omnik.io/v1/financial/register/order-financial-detail/{marketplaceId}
            
                
# Here is a curl example
curl --location 'https://api.omnik.io/v1/financial/register/order-financial-detail/{marketplaceId}' \
--header 'token: {token}' \
--header 'tenant: {tenant}' \
--header 'Content-Type: application/json'
                
            
                
Result example 2xx:

{
  "orderId": "string",
  "marketplaceId": "string",
  "commissionOrigins": [
    {
      "sku": "string",
      "commissionOrigin": "string",
      "totalCommissionPercentage": number,
      "totalCommissionValue": number,
      "productCommissionPercentage": number,
      "productCommissionValue": number,
      "freightCommissionPercentage": number,
      "freightCommissionValue": number,
      "discountCommissionOrigins": []
    }
  ],
  "itensCommissionPercent": number,
  "itensCommissionValue": number,
  "freightCommissionPercent": number,
  "freightCommissionValue": number,
  "totalCommissionValue": number,
  "financialCicleType": "string",
  "financialTransferDaysAfterEndCicle": integer,
  "discounts": [
    {
      "promotionId": "string",
      "promotionName": "string",
      "subsidyPercentMarketplace": number,
      "subsidyValueMarketplace": number,
      "subsidyPercentSeller": number,
      "subsidyValueSeller": number
    }
  ],
  "totalTransferSeller": number,
  "financialStatements": [
    {
      "id": "string",
      "tenant": "string",
      "operator": "string",
      "createDate": "1970-01-01T00:00:00.000000",
      "lastUpdate": "1970-01-01T00:00:00.000000",
      "orderId": "string",
      "marketplaceId": "string",
      "siteId": "string",
      "type": "string",
      "status": "string",
      "description": "string",
      "releaseDate": "1970-01-01T00:00:00.000000",
      "value": number,
      "installmentNumber": integer,
      "totalOfInstallments": integer,
      "installmentAvailableDate": "1970-01-01T00:00:00.000000",
      "isMultiInstallments": "boolean",
      "typedLabel": {
        "id": "string",
        "typeId": "string",
        "typeLabel": "string",
        "typeDescription": "string"
      },
      "ivalue": number
    }
  ]
}
                
            
                
Result example 4xx:

[
    {
        "field": "string",
        "message": "string",
        "timestamp": [
            yyyy,
            MM,
            dd
        ]
    }
]
                
            
                
Result example 5xx:

[
    {
        "field": "string",
        "message": "string",
        "timestamp": [
            yyyy,
            MM,
            dd
        ]
    }
]
                
            

Consulta de Lançamentos do Pedido

Path Parameters

Campo Tipo Descrição
marketplaceId string (required) ID do Marketplace do Pedido

Header Parameters

Campo Tipo Descrição
token string (required) Authorization do seu Endpoint
tenant string (required) ID do seller